Subject: Re: [net-next v23 2/7] net: mtip: The L2 switch driver for imx287

From: Jakub Kicinski <[email-masked]>
Date: Tue, 17 Feb 2026 13:59:58 -0800

On Mon, 16 Feb 2026 10:23:59 +0100 Łukasz Majewski wrote:
> > > Transient build failure here:
> > > 
> > > drivers/net/ethernet/freescale/mtipsw/mtipl2sw.c:1072:32: warning:
> > > variable ‘priv’ set but not used [-Wunused-but-set-variable] 1072 |
> > >       struct mtip_ndev_priv *priv; |
> > > ^~~~
> > > 
> > > I sent out the AI code reviews while at it, without looking at them.
> > > So please approach them with caution..    
> > 
> > IMHO, issues pointed with AI review have been at discussed and
> > (to my best knowledge) addressed.
> > 
> > Shall I prepare next version of this patch set?
> 
> I'm a bit confused regarding the next steps for this driver.

1. This version didn't build, so it's out.
2. Take the AI review under consideration.
3. Address issues from 1+2.
4. Post v24

Well before posting: 

4a) wait for net-next to open up, it's close right now

> There was no reply regarding my last question - and I don't know how I
> shall proceed...

Hope above clarifies.

I strongly advise you to follow the ML so you have a better
understanding of the process.